 


//including standard modules
#include <avr/io.h>			//register defines
#include <avr/interrupt.h>
#include <avr/signal.h>
#include <inttypes.h>


//mt azonostja
#define  MOTE_ID  (5)  

//API include-olsa
#include "mcu_avr_atmega128_api.h"
#include "dpy_trm_s01.h"
#include "com_r04_s01b.h"

#include "../msgDataStruct.h"  //az zenet formtumt tartalmaz file

//vevbuffer
sDataStruct sReceiveBuffer;

uint8_t ui8a7SegDecod[]={ 0x28 ,  0xF9 ,  0x1C ,  0x58 ,  0xC9 ,  0x4A ,  0xA ,  0xF8 ,  0x8 ,  0x48 ,  0x88 ,  0xB ,  0x2E ,  0x19 ,  0xE ,  0x8E };





//-------------------------------------------------------------------------------------------------------
//	int main (void)
//
//	DESCRIPTION:
//		Startup routine and main loop
//-------------------------------------------------------------------------------------------------------
int main (void) {

uint32_t ui32Counter1 = 0;
unsigned short int usiLength;
uint32_t ui32CounterRecVal;

	SYS_LED_DIR_OUTPUT();
	SYS_LED_ON();


	//UART1_Init(unsigned long baud_rate, void (*handler)(void))
	//UART inicializlsa 19.2kbps
	UART1_Init(19200, 0);

	//rdi inicializlsa
	com_r04_s01__Init_433(SUB_BAND_433_2_MHz, BASEBAND_BW_270_kHz, FSK_DEVIATION_90_kHz, OUTPUT_POWER_MAX_minus_0dB, DATA_RATE_9600_bps);  

	//IO krtya inicializlsa
	dpy_trm_s01__Init();

	dpy_trm_s01__7seq_write_3digit(ui8a7SegDecod[0],ui8a7SegDecod[0],ui8a7SegDecod[0]);
	
	sReceiveBuffer.ui8MyID = MOTE_ID;



	while(1){
		usiLength = (unsigned short int)sizeof(sDataStruct);
		//com_r04_s01__Receiving_Packet ((unsigned char*) (&sReceiveBuffer),&usiLength);
		unsigned char ucReceiveResult;

		//50 msec-es csatornafigyelsek
		do{
			ucReceiveResult = com_r04_s01__Receiving_Packet_with_timeout ((unsigned char*) (&sReceiveBuffer),&usiLength,50);
		} while(ucReceiveResult!=COM_R04_S01__NOERROR);

		ui32Counter1++;
		if (ui32Counter1&0x01){
			DPY_TRM_S01__LED_3_ON();
		} else {
			DPY_TRM_S01__LED_3_OFF();
		}

		ui32CounterRecVal = sReceiveBuffer.ui32Data1;

		printf("Received packet ID: %x\r\n", ui32CounterRecVal);

		dpy_trm_s01__7seq_write_3digit(ui8a7SegDecod[(ui32CounterRecVal&0x0F00)>>8],ui8a7SegDecod[(ui32CounterRecVal&0x00F0)>>4],ui8a7SegDecod[(ui32CounterRecVal&0x000F)]);

		if (sReceiveBuffer.ui8Data1) {
			DPY_TRM_S01__LED_4_ON();
		} else {
			DPY_TRM_S01__LED_4_OFF();
		}

	}






} // main


