


//including standard modules
#include <avr/io.h>			//register defines
#include <avr/interrupt.h>
#include <avr/signal.h>
#include <inttypes.h>



#define  MOTE_ID  (4)   //mote ID-ja

//szksges fileok include-olsa
#include "mcu_avr_atmega128_api.h"
#include "dpy_trm_s01.h"
#include "com_r04_s01b.h"

#include "../msgDataStruct.h"  //az zenet formtumt tartalmaz file

//adbuffer
sDataStruct sTransmitBuffer;

//7 szegmenses kijel kdjai
uint8_t ui8a7SegDecod[]={ 0x28 ,  0xF9 ,  0x1C ,  0x58 ,  0xC9 ,  0x4A ,  0xA ,  0xF8 ,  0x8 ,  0x48 ,  0x88 ,  0xB ,  0x2E ,  0x19 ,  0xE ,  0x8E };




//-------------------------------------------------------------------------------------------------------
//	int main (void)
//
//	DESCRIPTION:
//		Startup routine and main loop
//-------------------------------------------------------------------------------------------------------
int main (void) {

	uint32_t ui32ForVariable;
	uint32_t ui32Counter1 = 0;

	SYS_LED_DIR_OUTPUT();
	SYS_LED_ON();


	//UART1_Init(unsigned long baud_rate, void (*handler)(void))
	//UART inicializlsa 19.2kbps
	UART1_Init(19200, 0);

	printf("ui32ForVariable rtke: %d",ui32ForVariable );

	//rdi inicializlsa
	com_r04_s01__Init_433(SUB_BAND_433_2_MHz, BASEBAND_BW_270_kHz, FSK_DEVIATION_90_kHz, OUTPUT_POWER_MAX_minus_21dB, DATA_RATE_9600_bps);  

	//IO krtya inicializlsa
	dpy_trm_s01__Init();

	DPY_TRM_S01__LED_2_ON();
	dpy_trm_s01__7seq_write_3digit(ui8a7SegDecod[0x0],ui8a7SegDecod[0x1],ui8a7SegDecod[0x2]);
	
	sTransmitBuffer.ui8MyID = MOTE_ID;

	
	while(1){

		for (ui32ForVariable=0;ui32ForVariable<500000l;ui32ForVariable++){
		//for (ui32ForVariable=0;ui32ForVariable<100000l;ui32ForVariable++){
			asm("nop;");
		}

		
			ui32Counter1++;
			if (ui32Counter1&0x01){
				DPY_TRM_S01__LED_3_ON();
			} else {
				DPY_TRM_S01__LED_3_OFF();
			}
	
			if (DPY_TRM_S01__BUTTON_1_GET_STATE()) {
				DPY_TRM_S01__LED_4_ON();
				sTransmitBuffer.ui8Data1 = 1;
			} else {
				DPY_TRM_S01__LED_4_OFF();
				sTransmitBuffer.ui8Data1 = 0;
			}

			dpy_trm_s01__7seq_write_3digit(ui8a7SegDecod[(ui32Counter1&0x0F00)>>8],ui8a7SegDecod[(ui32Counter1&0x00F0)>>4],ui8a7SegDecod[(ui32Counter1&0x000F)]);


			printf("ui32Counter1 erteke: %x\r\n",ui32Counter1 );

			sTransmitBuffer.ui32Data1 = ui32Counter1;
        	com_r04_s01__Send_Packet ((char*)&sTransmitBuffer,sizeof(sDataStruct));	  //adat kldse
			com_r04_s01__Transmitter_Disable(); //rdi titsa
	
	} //while(1)







} // main

